API Keys
curl --request GET \
--url https://api.viarosandbox.com/v1/api_keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.viarosandbox.com/v1/api_keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.viarosandbox.com/v1/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/api_keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/api_keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.viarosandbox.com/v1/api_keys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/api_keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyDeveloper Platform
API Keys
Inspect, manage, and audit API keys issued to your business.
GET
/
api_keys
API Keys
curl --request GET \
--url https://api.viarosandbox.com/v1/api_keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.viarosandbox.com/v1/api_keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.viarosandbox.com/v1/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/api_keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/api_keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.viarosandbox.com/v1/api_keys")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/api_keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAPI keys are used to authenticate requests between your application and the Pursar API.
Pursar issues distinct keys for your Sandbox and Live environments:
- Publishable keys (
pk_test_,pk_live_): Intended for public client-side applications, websites, mobile apps, and Checkout SDKs. - Secret keys (
sk_test_,sk_live_): Must be kept confidential on your secure backend server. Never expose secret keys in client-side code, public GitHub repositories, or mobile app binaries.
List API Keys
GET /api_keys
Returns all active API keys provisioned for your business.
Code Examples
curl -G https://api.viarosandbox.com/v1/api_keys \
-u sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG:
import requests
url = "https://api.viarosandbox.com/v1/api_keys"
auth = ("sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG", "")
response = requests.get(url, auth=auth)
print(response.json())
const axios = require('axios');
async function listApiKeys() {
const response = await axios.get('https://api.viarosandbox.com/v1/api_keys', {
auth: {
username: 'sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG',
password: ''
}
});
console.log(response.data);
}
listApiKeys();
Response
{
"object": "list",
"data": [
{
"id": "key_sandbox_sec_01",
"object": "api_key",
"name": "Default Test Secret Key",
"key_prefix": "sk_test_uLso",
"environment": "sandbox",
"is_active": true,
"created_at": "2026-11-06T10:00:00Z"
},
{
"id": "key_sandbox_pub_01",
"object": "api_key",
"name": "Default Test Publishable Key",
"key_prefix": "pk_test_a8b9",
"environment": "sandbox",
"is_active": true,
"created_at": "2026-11-06T10:00:00Z"
}
]
}

